body {
  line-height: 1.5;
}

.monospaced {
  font-family: Consolas, monospace;
}

pre,code {
    background-color: #d6d6d6;
    border-radius: 3px;
    font-family: Consolas, monospace;
}

code {
  padding: 2px 1px 2px 1px;
  word-break: break-all;
}

pre {
    height: auto;
    max-height: 400px;
    overflow: auto;
    background-color: #eeeeee;
    word-break: normal !important;
    word-wrap: normal !important;
    white-space: pre !important;
    padding: 4px 8px 4px 8px;
}​

/* the combination of these two kdb blocks seem to do the trick. if one is deleted, kbd are not shown as buttons/key anymore */
kbd {
  font-family: Consolas, "Lucida Console", monospace;
  display: inline-block;
  border-radius: 3px;
  padding: 0px 4px;
  box-shadow: 1px 1px 1px #777;
  margin: 2px;
  font-size: small;
  vertical-align: text-bottom;
  background: #eee;
  font-weight: 500;
  color: #555;
  cursor: pointer;
  /*font-variant: small-caps;*/
  font-weight: 600;

  /* This two work */
  /* letter-spacing: 0.5px; */
  letter-spacing: 1px;


  /* Prevent selection */
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

kbd {
    padding: 0.1em 0.6em!important;
    border: 1px solid #ccc!important;
    font-size: 11px!important;
    font-family: monospace!important;
    background-color: #f7f7f7!important;
    color: #333!important;
    -moz-box-shadow: 0 1px 0px rgba(0, 0, 0, 0.2),0 0 0 2px #ffffff inset!important;
    -webkit-box-shadow: 0 1px 0px rgba(0, 0, 0, 0.2),0 0 0 2px #ffffff inset!important;
    box-shadow: 0 1px 0px rgba(0, 0, 0, 0.2),0 0 0 2px #ffffff inset!important;
    -moz-border-radius: 3px!important;
    -webkit-border-radius: 3px!important;
    border-radius: 3px!important;
    display: inline-block!important;
    margin: 0 0.1em!important;
    text-shadow: 0 1px 0 #fff!important;
    white-space: nowrap!important;
}

.article-background {
  background: #e0e3de;
}

.article-header {
  font-size: 11pt;
  color: #8a8a8a;
}

.article-container {
  max-width: 1000px;
  margin: 0 auto;
  background: #fff;
}

.article-overview-container {
  max-width: 1400px;
  margin: 0 auto;
}

.img-center {
  display: block;
  padding: 10px;
  margin-left: auto!important;
  margin-right: auto!important;
  width: calc(100% - 20px);
}

.img-subtitle {
  text-align: right!important;
  margin-right: 25px;
}

#toc-container {
  background: #f9f9f9 none repeat scroll 0 0;
  border: 1px solid #aaa;
  display: table;
  font-size: 95%;
  margin-bottom: 1em;
  padding: 20px;
  width: auto;
}

.toc-title {
  font-weight: 700;
  text-align: center;
}

ul.toc-content li {
  font-weight: bold; /*equivalent of 700*/
  margin-bottom: 10px;
}

ul.toc-content li a:link{
  text-decoration: none;
  color: #5596eb;
}

ul.toc-content li a:visited {
  color: #5596eb;
}

ul.toc-content li a:hover{
  text-decoration: underline;
}

#toc-container li, #toc-container ul, #toc-container ul li{
  list-style: outside none none !important;
}

span.anchor {
  display: block;
  position: relative;
  top: -60px; /*height of header bar*/
  visibility: hidden;
}

.span-inline {
  display: inline!important;
}

h2, h3, h4 {
  display: inline;
}

h2.have-fun {
  display: block !important;
  text-align: center !important;
}

h4 {
  font-style: italic;
}

span.to-toc {
  font-weight: bold;
  font-size: 20px; /*in combination with <sup>*/
}

span.to-toc:before {
  white-space: pre;
  content: "  ";
}

span.to-toc a, span.to-the-top a {
  color: #7d7e80;
}

.to-the-top {
  float: right;
  font-size: 13px; /*in combination with <sup>*/
}

table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
  padding: 5px;
}
